# platform_aware

Flutter widgets wrapped to automatically adapt to the current platform,  
whereas no code changes are needed for supporting both iOS and Android.  
All widgets depend on `Theme.of(context).platform` for determining the currently active platform.  
This allows you to use the Flutter Inspector to change the platform on the fly.

Fuchsia was already considered in the design of this package.  

## Getting Started

Check the example, it includes example usages for all provided widgets.

## Screenshots

### Checkbox

<img src="https://static.jmgprog.com/platform_aware/checkbox_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/checkbox_i.png" alt="drawing" width="200px"/>

### Card

<img src="https://static.jmgprog.com/platform_aware/card_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/card_i.png" alt="drawing" width="200px"/>

### Dialog

<img src="https://static.jmgprog.com/platform_aware/dialog_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/dialog_i.png" alt="drawing" width="200px"/>

### FlatButton

<img src="https://static.jmgprog.com/platform_aware/flatbutton_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/flatbutton_i.png" alt="drawing" width="200px"/>

### RaisedButton

<img src="https://static.jmgprog.com/platform_aware/raisedbutton_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/raisedbutton_i.png" alt="drawing" width="200px"/>

### Picker

#### Android

<img src="https://static.jmgprog.com/platform_aware/picker_1_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/picker_2_a.png" alt="drawing" width="200px"/>


#### iOS

<img src="https://static.jmgprog.com/platform_aware/picker_1_i.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/picker_2_i.png" alt="drawing" width="200px"/>

### Tabs

<img src="https://static.jmgprog.com/platform_aware/tabs_a.png" alt="drawing" width="200px"/>
<img src="https://static.jmgprog.com/platform_aware/tabs_i.png" alt="drawing" width="200px"/>